﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace GalilTools
{
    public class Reference
    {
        public static void StopCode(int SC, out string SC_Code)
        {
            SC_Code = string.Empty;

            switch (SC)
            {
                case 0:
                    {
                        SC_Code = "Motors are running, independent mode";
                        break;
                    }
                case 1:
                    {
                        SC_Code = "Motors decelerating or stopped at commanded independent position";
                        break;
                    }
                case 2:
                    {
                        SC_Code = "Decelerating or stopped by FWD limit switch or soft limit FL";
                        break;
                    }
                case 3:
                    {
                        SC_Code = "Decelerating or stopped by REV limit switch or soft limit BL";
                        break;
                    }
                case 4:
                    {
                        SC_Code = "Decelerating or stopped by Stop Command (ST)";
                        break;
                    }
                case 6:
                    {
                        SC_Code = "Stopped by Abort input";
                        break;
                    }
                case 7:
                    {
                        SC_Code = "Stopped by Abort command (AB)";
                        break;
                    }
                case 8:
                    {
                        SC_Code = "Decelerating or stopped by Off on Error (OE1)";
                        break;
                    }
                case 9:
                    {
                        SC_Code = "Stopped after finding edge (FE)";
                        break;
                    }
                case 10:
                    {
                        SC_Code = "Stopped after homing (HM) or Find Index (FI)";
                        break;
                    }
                case 11:
                    {
                        SC_Code = "Stopped by selective abort input";
                        break;
                    }
                case 12:
                    {
                        SC_Code = "Decelerating or stopped by encoder failure (OA1) (DMC-40x0/18x6)";
                        break;
                    }
                case 15:
                    {
                        SC_Code = "Amplifier Fault (DMC-40x0)";
                        break;
                    }
                case 16:
                    {
                        SC_Code = "Stepper position maintainance error";
                        break;
                    }
                case 30:
                    {
                        SC_Code = "Running in PVT mode";
                        break;
                    }
                case 31:
                    {
                        SC_Code = "PVT mode completed normally";
                        break;
                    }
                case 32:
                    {
                        SC_Code = "PVT mode exited because buffer is empty";
                        break;
                    }
                case 50:
                    {
                        SC_Code = "Contour Running";
                        break;
                    }
                case 51:
                    {
                        SC_Code = "Contour Stop";
                        break;
                    }
                case 99:
                    {
                        SC_Code = "MC timeout";
                        break;
                    }
                case 100:
                    {
                        SC_Code = "Motors are running, Vector Sequence";
                        break;
                    }
                case 101:
                    {
                        SC_Code = "Motors stopped at commanded vector";
                        break;
                    }
                default:
                    break;

            }

        }
    }
}
